Name: ksymoops
Version: 2.4.9
Release: alt1

Summary: Kernel oops and error message decoder.
Group: System/Kernel and hardware
License: GPL
Url: ftp://ftp.kernel.org/pub/linux/utils/kernel/%name/v2.4
ExclusiveOS: Linux

Source: %url/%name-%version.tar.bz2
Patch1: %name-2.4.7-alt-makefile-dynamic.patch
Patch2: %name-2.4.7-alt-makefile-defaults.patch

Provides: kernel-utils = %version
Obsoletes: kernel-utils

# Automatically added by buildreq on Fri Oct 18 2002
BuildRequires: libbfd-devel libiberty-devel

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging. The %name utility reads
machine specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%make_build DEBUG="$RPM_OPT_FLAGS"

%install
%__install -pD -m755 %name $RPM_BUILD_ROOT%_sbindir/%name
%__install -pD -m644 %name.8 $RPM_BUILD_ROOT%_man8dir/%name.8

%files
%_sbindir/*
%_mandir/man?/*
%doc Changelog README*

%changelog
* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 2.4.9-alt1
- Updated to 2.4.9.

* Fri Oct 18 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.7-alt1
- 2.4.7, updated patches.

* Mon Aug 26 2002 Dmitry V. Levin <ldv@altlinux.org> 2.4.6-alt1
- 2.4.6

* Wed Apr 03 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt1
- 2.4.5

* Mon Sep 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.3-alt1
- 2.4.3

* Fri Aug 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.1-alt2
- Updated buildrequires.

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Mar 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.4.0-ipl3
- Rebuilt with binutils-2.11.90.0.1

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl2
- Link dynamically with new libbfd.

* Mon Jan 22 2001 Dmitry V. Levin <ldv@fandra.org> 2.4.0-ipl1
- 2.4.0

* Tue Jan 02 2001 Dmitry V. Levin <ldv@fandra.org> 2.3.6-ipl1
- 2.3.6

* Tue Dec 19 2000 Dmitry V. Levin <ldv@fandra.org> 2.3.5-ipl1
- Initial revision.
